## golang-github-dlintw-goconf 0.0~git20120228.dcc0709

=== Makefile ===
all:
	go tool fix *.go
	go tool vet *.go
	gofmt -s -w *.go
	go build
	go install
test: all
	go test

=== debian/changelog ===
golang-github-dlintw-goconf (0.0~git20120228.dcc0709-2) unstable; urgency=medium

  * Team upload.
  * Upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Jun 2022 15:19:35 +0200

golang-github-dlintw-goconf (0.0~git20120228.dcc0709-1) unstable; urgency=medium

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Tue, 29 Mar 2022 18:48:54 +0200

=== debian/control ===
Source: golang-github-dlintw-goconf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dlintw-goconf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dlintw-goconf.git
Homepage: https://github.com/dlintw/goconf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/dlintw/goconf

Package: golang-github-dlintw-goconf-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configuration file reader for Go (library)
 The goconf library provides a Go API for reading ini-style config files.
 It is aware of different data types, key-value settings, and sections.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/dlintw/goconf.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/dlintw/goconf/tags .*/v?(\d\S*)\.tar\.gz debian
